<?php

namespace Lc\SovBundle\Event;

use Lc\SovBundle\Doctrine\EntityInterface;
use Symfony\Contracts\EventDispatcher\Event;

/**
 * class EntityEvent.
 *
 * @author Simon Vieille <simon@deblan.fr>
 */
class EntityComponentEvent extends Event
{
    const DUPLICATE_EVENT = 'entity_component_event.duplicate';

    protected EntityInterface $entity;

    public function __construct(EntityInterface $entity)
    {
        $this->entity = $entity;
    }

    public function getEntity(): EntityInterface
    {
        return $this->entity;
    }
}
